<!DOCTYPE html>
<html>
    <head>
        <title>Cours JavaScript</title>
        <meta charset="utf-8">
        <link rel="stylesheet" href="css/cours.css">
        <script src='js/event5.js' async></script>
    </head>

    <body>
        <h1>Titre principal</h1>
        <p>Un premier paragraphe</p>

        <div id='d1'>
            <p id='d1p1'>Un paragraphe dans un div d1p1</p>
            <p id='d1p2'>Un autre paragraphe dans le div d1p2</p>
        </div>

        <hr/>
        <p>
            Pour stopper la propagation d’un évènement, on va pouvoir utiliser la méthode <code>stopPropagation()</code> de l’interface <code>Event</code>. Cette méthode va stopper la propagation d’un évènement après qu’un gestionnaire d’évènement (gérant l’évènement en question) ait été atteint.
        </p>
        <p>Cela signifie que si la phase de bouillonnement est choisie, le gestionnaire le plus proche de l’élément cible de l’évènement sera exécuté et les gestionnaires de ce même évènement attachés aux éléments parents seront ignorés. </p>
        <p>Dans le cas où c’est la phase de capture qui est choisie, le gestionnaire pour cet évènement le plus lointain de l’élément cible de l’évènement sera exécuté et les autres seront ignorés.</p>

    </body>


</html>


